Skip to content

Webhooks

Receive Crier events at your HTTPS endpoint.

GET/v1/webhook-endpoint

Response 200

data
  • urlstring (uri)required
  • eventsstring[]required
  • createdAtstring (date-time)required
  • updatedAtstring (date-time)required
Ventana de terminal
curl "https://api.usecrier.com/v1/webhook-endpoint" \
-H "Authorization: Bearer $CRIER_API_KEY"
PUT/v1/webhook-endpoint

Omit events to receive all of them. The signing secret is returned only the first time.

Body

  • urlstring (starts_with)required
  • eventsstring[]

Response 200

data
  • endpointobjectrequired
    endpoint
    • urlstring (uri)required
    • eventsstring[]required
    • createdAtstring (date-time)required
    • updatedAtstring (date-time)required
  • secretstring

    Signing secret, returned only when the endpoint is created.

Ventana de terminal
curl -X PUT "https://api.usecrier.com/v1/webhook-endpoint" \
-H "Authorization: Bearer $CRIER_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"url": "https://app.acme.com/webhooks/crier"
}'
DELETE/v1/webhook-endpoint

Response 204

No content

Ventana de terminal
curl -X DELETE "https://api.usecrier.com/v1/webhook-endpoint" \
-H "Authorization: Bearer $CRIER_API_KEY"

© 2026 Crier by TWOFACES ·usecrier.com ·Dashboard ·soporte@twofacesco.com